Name:		rdfind
Version:	1.5.0
Release:	%mkrel 2
Summary:	Program that finds duplicate files

License:	GPLv2+
URL:		https://rdfind.pauldreik.se/
Source0:	%{url}/%{name}-%{version}.tar.gz
Patch0:		gcc-11.patch
Group:		System/Base

BuildRequires:	nettle-devel
BuildRequires:	gcc gcc-c++
BuildRequires:	autoconf-archive

%description
Rdfind is a program that finds duplicate files. It is useful for compressing
backup directories or just finding duplicate files. It compares files based on
their content, NOT on their file names.


%prep
%setup -q
%autopatch

%build
autoreconf -ivf
%configure --disable-dependency-tracking
%make_build

%install
%make_install

%check
make check


%files
%doc AUTHORS ChangeLog
%license COPYING LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 1.5.0-2.mga9
+ Revision: 1798808
- Mageia 9 Mass Rebuild

* Wed Dec 08 2021 bcornec <bcornec> 1.5.0-1.mga9
+ Revision: 1761122
- Fix provided
- Fix for gcc 11 compatibility, which doesn't hurt on gcc 10 either
- Update rdfind to upstream rdfind-1.5.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.4.1-4.mga8
+ Revision: 1650734
- rebuild for nettle

* Mon Nov 02 2020 wally <wally> 1.4.1-3.mga8
+ Revision: 1641667
- rebuild with autoconf-2.69c.13-5147.2

* Sun Feb 16 2020 umeabot <umeabot> 1.4.1-2.mga8
+ Revision: 1534710
- Mageia 8 Mass Rebuild

* Sun Oct 06 2019 bcornec <bcornec> 1.4.1-1.mga8
+ Revision: 1449846
- Fix Group
- Import sha1
- Import rdfind 1.4.1
- Created package structure for rdfind.

